Subject: Re: [secdir] Secdir last call review of draft-ietf-pce-wson-rwa-ext-10

From: Leeyoung <[email-masked]>
Date: Mon, 21 Jan 2019 20:16:07 +0000

Hi Watson,

Sorry for the late response to your review.  I thank you for your review of this draft and the result. 

In regards to your question, please see below inline. 

Thanks & Best regards,
Young

-----Original Message-----
From: Watson Ladd [mailto:[email-masked]] 
Sent: Monday, December 24, 2018 9:43 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Secdir last call review of draft-ietf-pce-wson-rwa-ext-10

Reviewer: Watson Ladd
Review result: Ready

Dear all,

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written primarily for the benefit of the security area directors.  Document editors and WG chairs should treat these comments just like any other last call comments.

The summary of the review is READY.

This is a document in an area I know almost nothing about. It appears to be about an internal mechanism for configuring label based routing in an optical network to minimize the number of optical to electrical transitions along the route. I am perhaps a bit confused as to why the PCC would specify the constraints on wavelengths on hops that are not the end ones: if the packets must flow from A to B, shouldn't the PCE be the one to decide how to do that using all the resources available? 

YL>> PCC is a client that would ask some constraints to the PCE so that PCE would filter such constraints in its path computation. The final decision on the path and wavelength assignment is done by the PCE in general case. Hope this answers to your question. 

Merry Christmas!

Sincerely,
Watson Ladd